﻿import os, json
files = os.listdir("./scripts")
libs = os.listdir("./libs")

for f in range(len(files)):
    files[f] = "scripts/" + files[f]

files.append("Main.cs")
files.append("AutoLoad.cs")
for l in range(len(libs)):
    libs[l] = "libs/" + libs[l]
    files.append(libs[l])

with open("mod.json","r") as mod:
    js = json.loads(mod.read())

js["Scripts"] = files

with open("mod.json","w") as mod:
    json.dump(js,mod,indent=True)




files = os.listdir("./scripts")

for f in range(len(files)):
    files[f] = f"\n			{files[f].replace('.cs','')}.Load();"

filestr = ""
for f in files:
    filestr += f

stuff = """
namespace Mod
{
    class AutoLoad
    {
        public static void LoadScripts()
        {%s
        }
    }
}""" %(filestr)

with open("AutoLoad.cs","w") as mod:
    mod.write(stuff)